Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007919TestLinkTest Executepublic2017-04-11 12:252017-04-18 21:24
Reportermfundo@lawtrust.co.za 
Assigned Tofman 
PrioritynormalSeverityblockReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSWindowsOS Version7
Product Version1.9.16 (2016 Q4) 
Fixed in Version1.9.17 (2017 Q2) 
Summary0007919: Cannot use string offset as an array
DescriptionFatal error: Uncaught Error: Cannot use string offset as an array in C:\xampp\htdocs\testlink-1.9.16\lib\execute\execSetResults.php:1533 Stack trace: #0 C:\xampp\htdocs\testlink-1.9.16\lib\execute\execSetResults.php(93): processTestCase(NULL, Object(stdClass), Object(stdClass), Object(stdClass), Array, Object(tree), Object(testcase), Object(tlAttachmentRepository)) #1 {main} thrown in C:\xampp\htdocs\testlink-1.9.16\lib\execute\execSetResults.php on line 1533
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon Screenshot_2.png [^] (107,298 bytes) 2017-04-11 12:25

- Relationships
child of 0007817new Availables hot-fixes for 1.9.16 & How To get full fixed package from GitHub 

-  Notes
(0026264)
fman (administrator)
2017-04-11 19:51

without detailed steps to reproduce is impossibile to do any kind of analisys.
(0026280)
demiko (reporter)
2017-04-17 18:57

To reproduce this try to execute any test case. Result is blank frame with PHP 0007919 Error in apache log.

Have the same issue on Arch with Testlink v1.9.16, Apache v2.4.25 and PHP v7.1.4.
(0026281)
fman (administrator)
2017-04-18 10:30
edited on: 2017-04-18 10:31

unfortunately details provided are not enough to do any action.
Please provide detailed steps to reproduce starting from

1) Create Test Project
2) Create test suite

and so on

(0026283)
demiko (reporter)
2017-04-18 12:46

Theese steps reproduce bug on fresh install of Testlink.

1. Create Test Project
2. Create Test Suite
3. Create Test Case in test suit from p.2
4. Create Build
5. Add test case from p.3 to test suite
6. Assign Test Case to any user (ex. admin)
7. Go to Execute Tests
8. Select the assigned test

Result: blank screen on the right pane instead of test case details. Also there is an error message in apache logs.

Full error text:
[php7:error] [pid 29998] [client ::1:38532] PHP Fatal error: Uncaught Error: Cannot use string offset as an array in /srv/http/testlink/lib/execute/execSetResults.php:1533\nStack trace:\n#0 /srv/http/testlink/lib/execute/execSetResults.php(93): processTestCase(NULL, Object(stdClass), Object(stdClass), Object(stdClass), Array, Object(tree), Object(testcase), Object(tlAttachmentRepository))\n#1 {main}\n thrown in /srv/http/testlink/lib/execute/execSetResults.php on line 1533, referer: http://localhost/testlink/lib/execute/execNavigator.php?setting_testplan= [^]
(0026289)
fman (administrator)
2017-04-18 21:02
edited on: 2017-04-18 21:03

tested using latest code from github, unable to reproduce tested on PHP 5.6.28

(0026290)
demiko (reporter)
2017-04-18 21:21

Confirm. It's not reproducible in github build 1.9.17.

It's reproducible in 1.9.16 release.

- Issue History
Date Modified Username Field Change
2017-04-11 12:25 mfundo@lawtrust.co.za New Issue
2017-04-11 12:25 mfundo@lawtrust.co.za File Added: Screenshot_2.png
2017-04-11 19:51 fman Note Added: 0026264
2017-04-17 18:57 demiko Note Added: 0026280
2017-04-18 10:30 fman Note Added: 0026281
2017-04-18 10:31 fman Note Edited: 0026281 View Revisions
2017-04-18 10:31 fman Note View State: 0026281: public
2017-04-18 10:31 fman Status new => feedback
2017-04-18 12:46 demiko Note Added: 0026283
2017-04-18 21:02 fman Note Added: 0026289
2017-04-18 21:03 fman QA Team - Task Workflow Status => TBD
2017-04-18 21:03 fman Priority immediate => normal
2017-04-18 21:03 fman Note Edited: 0026289 View Revisions
2017-04-18 21:21 demiko Note Added: 0026290
2017-04-18 21:23 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2017-04-18 21:23 fman Status feedback => resolved
2017-04-18 21:23 fman Fixed in Version => 1.9.17 (2017 Q2)
2017-04-18 21:23 fman Resolution open => fixed
2017-04-18 21:23 fman Assigned To => fman
2017-04-18 21:24 fman Relationship added child of 0007817



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker